Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

SPI/Limitation/Type.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\SPI\Limitation;
8
9 use eZ\Publish\API\Repository\Values\ValueObject as APIValueObject;
10 use eZ\Publish\API\Repository\Values\User\Limitation as APILimitationValue;
11 use eZ\Publish\API\Repository\Values\User\UserReference as APIUserReference;
12
21 interface Type
22 {
33 const ACCESS_GRANTED = true;
34 const ACCESS_ABSTAIN = null;
35 const ACCESS_DENIED = false;
36
43 const VALUE_SCHEMA_LOCATION_ID = 1;
44 const VALUE_SCHEMA_LOCATION_PATH = 2;
45
55 public function acceptValue(APILimitationValue $limitationValue);
56
66 public function validate(APILimitationValue $limitationValue);
67
78 public function buildValue(array $limitationValues);
79
97 public function evaluate(APILimitationValue $value, APIUserReference $currentUser, APIValueObject $object, array $targets = null);
98
110 public function getCriterion(APILimitationValue $value, APIUserReference $currentUser);
111
119 public function valueSchema();
120 }
eZ\Publish\API\Repository\Values\ValueObject
Definition: API/Repository/Values/ValueObject.php:21
eZ\Publish\API\Repository\Values\User\UserReference
This interface represents a user reference for use in sessions and Repository.
Definition: API/Repository/Values/User/UserReference.php:13
eZ\Publish\SPI\Limitation\Type
This interface represent the Limitation Type.
Definition: SPI/Limitation/Type.php:22
eZ\Publish\SPI\Limitation\Type\valueSchema
valueSchema()
Returns info on valid $limitationValues.
eZ\Publish\SPI\Limitation\Type\acceptValue
acceptValue(APILimitationValue $limitationValue)
Accepts a Limitation value and checks for structural validity.
eZ\Publish\SPI\Limitation\Type\ACCESS_ABSTAIN
const ACCESS_ABSTAIN
Definition: SPI/Limitation/Type.php:34
eZ\Publish\SPI\Limitation\Type\buildValue
buildValue(array $limitationValues)
Create the Limitation Value.
eZ\Publish\SPI\Limitation\Type\ACCESS_GRANTED
const ACCESS_GRANTED
Constants for return value of {.
Definition: SPI/Limitation/Type.php:33
eZ\Publish\SPI\Limitation\Type\getCriterion
getCriterion(APILimitationValue $value, APIUserReference $currentUser)
Returns Criterion for use in find() query.
eZ\Publish\SPI\Limitation\Type\VALUE_SCHEMA_LOCATION_ID
const VALUE_SCHEMA_LOCATION_ID
Constants for valueSchema() return values.
Definition: SPI/Limitation/Type.php:43
eZ\Publish\SPI\Limitation\Type\ACCESS_DENIED
const ACCESS_DENIED
Definition: SPI/Limitation/Type.php:35
eZ\Publish\SPI\Limitation\Type\VALUE_SCHEMA_LOCATION_PATH
const VALUE_SCHEMA_LOCATION_PATH
Definition: SPI/Limitation/Type.php:44
eZ\Publish\SPI\Limitation\Type\evaluate
evaluate(APILimitationValue $value, APIUserReference $currentUser, APIValueObject $object, array $targets=null)
Evaluate ("Vote") against a main value object and targets for the context.
eZ\Publish\SPI\Limitation\Type\validate
validate(APILimitationValue $limitationValue)
Makes sure LimitationValue->limitationValues is valid according to valueSchema().
eZ\Publish\API\Repository\Values\User\Limitation
Definition: BlockingLimitation.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.